#import "ShaoarLivenessPlugin.h"
#import <AAILivenessSDK/AAILivenessSDK.h>
#import "AAILivenessViewController.h"

@implementation ShaoarLivenessPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"shaoar_liveness"
            binaryMessenger:[registrar messenger]];
  ShaoarLivenessPlugin* instance = [[ShaoarLivenessPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    NSLog(@"call.method:%@",call.method);
    NSString *strMethod = [call.method stringByAppendingString:@":"];
    SEL selector = NSSelectorFromString(strMethod);
    
    if ([self respondsToSelector:selector]) {
        [self performSelector:selector withObject:@{@"call":call,@"result":result}];
    } else {
        result(FlutterMethodNotImplemented);
    }
}

#pragma mark - 获取图片
- (void)getImage:(id)aObject{
    __weak typeof(self) weakself = self;

    NSDictionary *dic = (NSDictionary *)aObject;
    FlutterResult fluresult = dic[@"result"];
    FlutterMethodCall *call = dic[@"call"];

    UIImage *image = [UIImage imageNamed:@"pck_openBG"];
//    UIImage *image = [UIImage imageNamed:@"arrow_back"];
//    NSString* path = [[NSBundle mainBundle] pathForResource:@"ic_alipay" ofType:nil];
//    NSLog(@"------------%@",path);
    NSLog(@"********image:%@",image);
    NSData *imageData = UIImageJPEGRepresentation(image,1.0f);
//    NSData *imageData = [NSData dataWithContentsOfFile:path];
    NSLog(@"********imageData:%@",imageData);
    fluresult(imageData);
}

//- (void)getImage:(id)aObject{
//    NSDictionary *dic = (NSDictionary *)aObject;
//    FlutterResult fluresult = dic[@"result"];
//
//    NSURL *associateBundleURL = [[NSBundle mainBundle] URLForResource:@"AAIImgs" withExtension:@"bundle"];
//    NSLog(@"1111------------%@",associateBundleURL);
//    NSBundle *bundle = [NSBundle bundleWithURL:associateBundleURL];
//    NSString* path = [bundle pathForResource:@"open_mouth_1@2x" ofType:@"jpg"];
//    NSLog(@"2222------------%@",path);
//    NSData *imageData = [NSData dataWithContentsOfFile:path];
//    NSLog(@"********imageData:%@",imageData);
//    fluresult(imageData);
//}

//[AAILivenessSDK initWithAccessKey:@"088fad23568a84b1" secretKey:@"4fa4b4c7ead1e9af" market:AAILivenessMarketIndonesia];
#pragma mark - 连接打印机
- (void)livenessInit:(id)aObject{
    
    NSDictionary *dic = (NSDictionary *)aObject;
    FlutterResult fluresult = dic[@"result"];
    FlutterMethodCall *call = dic[@"call"];
    NSDictionary *param = call.arguments;
    NSString *accessKey = param[@"accessKey"];
    NSString *secretKey = param[@"secretKey"];
    
    NSLog(@"accessKey:%@",accessKey);
    NSLog(@"secretKey:%@",secretKey);
    
    [AAILivenessSDK initWithAccessKey:accessKey secretKey:secretKey market:AAILivenessMarketIndonesia];
    fluresult(@"true");
}


- (void)face:(id)aObject{
    NSDictionary *dic = (NSDictionary *)aObject;
    FlutterResult fluresult = dic[@"result"];
    AAILivenessViewController *vc = [[AAILivenessViewController alloc] init];
    vc.livenessResult = ^(UIImage * _Nonnull image,BOOL finished) {
        if (finished) {
            NSData *imageData = UIImageJPEGRepresentation(image,1.0f);
            NSLog(@"结果：%@",imageData);
            fluresult(imageData);
        }else{//活体检测没有完成，返回@“”
            fluresult(NULL);
        }
        
    };
    
    FlutterViewController *nav = (FlutterViewController *)[UIApplication sharedApplication].keyWindow.rootViewController;
    [nav presentViewController:vc animated:YES completion:NULL];
}

@end
