import 'dart:async';
import 'dart:typed_data';

import 'package:flutter/services.dart';

class ShaoarLiveness {
  static const MethodChannel _channel =
      const MethodChannel('shaoar_liveness');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<Uint8List> get getImage async {
    final Uint8List data = await _channel.invokeMethod('getImage');
    return data;
  }

  static Future<String> livenessInit(flutterPara) async {
    final String result = await _channel.invokeMethod('livenessInit',flutterPara);
    return result;
  }

  static Future<Uint8List> get face async {
    final Uint8List result = await _channel.invokeMethod('face');
    return result;
  }

}
